{
    "model": {
        "type": "range_dispatch",
        "property": "custom_model_data",
        "fallback": {
            "type": "model",
            "model": "minecraft:item/apple"
        },
        "entries": [
            {
                "threshold": 1000,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/cabbage/cabbage"
                }
            },
            {
                "threshold": 1001,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/cabbage/cabbage_silver_star"
                }
            },
            {
                "threshold": 1002,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/cabbage/cabbage_golden_star"
                }
            },
            {
                "threshold": 1003,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/chinese_cabbage/chinese_cabbage"
                }
            },
            {
                "threshold": 1004,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/chinese_cabbage/chinese_cabbage_silver_star"
                }
            },
            {
                "threshold": 1005,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/chinese_cabbage/chinese_cabbage_golden_star"
                }
            },
            {
                "threshold": 1006,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/corn/corn"
                }
            },
            {
                "threshold": 1007,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/corn/corn_silver_star"
                }
            },
            {
                "threshold": 1008,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/corn/corn_golden_star"
                }
            },
            {
                "threshold": 1009,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/eggplant/eggplant"
                }
            },
            {
                "threshold": 1010,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/eggplant/eggplant_silver_star"
                }
            },
            {
                "threshold": 1011,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/eggplant/eggplant_golden_star"
                }
            },
            {
                "threshold": 1012,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/garlic/garlic"
                }
            },
            {
                "threshold": 1013,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/garlic/garlic_silver_star"
                }
            },
            {
                "threshold": 1014,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/garlic/garlic_golden_star"
                }
            },
            {
                "threshold": 1015,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/grape/grape"
                }
            },
            {
                "threshold": 1016,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/grape/grape_silver_star"
                }
            },
            {
                "threshold": 1017,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/grape/grape_golden_star"
                }
            },
            {
                "threshold": 1018,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/hop/hop"
                }
            },
            {
                "threshold": 1019,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/hop/hop_silver_star"
                }
            },
            {
                "threshold": 1020,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/hop/hop_golden_star"
                }
            },
            {
                "threshold": 1021,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/pepper/pepper"
                }
            },
            {
                "threshold": 1022,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/pepper/pepper_silver_star"
                }
            },
            {
                "threshold": 1023,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/pepper/pepper_golden_star"
                }
            },
            {
                "threshold": 1024,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/pineapple/pineapple"
                }
            },
            {
                "threshold": 1025,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/pineapple/pineapple_silver_star"
                }
            },
            {
                "threshold": 1026,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/pineapple/pineapple_golden_star"
                }
            },
            {
                "threshold": 1027,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/pitaya/pitaya"
                }
            },
            {
                "threshold": 1028,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/pitaya/pitaya_silver_star"
                }
            },
            {
                "threshold": 1029,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/pitaya/pitaya_golden_star"
                }
            },
            {
                "threshold": 1030,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/tomato/tomato"
                }
            },
            {
                "threshold": 1031,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/tomato/golden_tomato"
                }
            },
            {
                "threshold": 1032,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/tomato/tomato_silver_star"
                }
            },
            {
                "threshold": 1033,
                "model": {
                    "type": "model",
                    "model": "item/customcrops/crops/tomato/tomato_golden_star"
                }
            },
            {
                "threshold": 18001,
                "model": {
                    "type": "model",
                    "model": "magic:icons/spells/heal"
                }
            },
            {
                "threshold": 18002,
                "model": {
                    "type": "model",
                    "model": "magic:icons_disabled/spells/heal"
                }
            }
        ]
    }
}